package banks

import (
	// m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	controller "gitlab.com/mbugroup/lti-api.git/internal/modules/master/banks/controllers"
	bank "gitlab.com/mbugroup/lti-api.git/internal/modules/master/banks/services"
	user "gitlab.com/mbugroup/lti-api.git/internal/modules/users/services"

	"github.com/gofiber/fiber/v2"
)

func BankRoutes(v1 fiber.Router, u user.UserService, s bank.BankService) {
	ctrl := controller.NewBankController(s)

	route := v1.Group("/banks")

	// route.Get("/", m.Auth(u), ctrl.GetAll)
	// route.Post("/", m.Auth(u), ctrl.CreateOne)
	// route.Get("/:id", m.Auth(u), ctrl.GetOne)
	// route.Patch("/:id", m.Auth(u), ctrl.UpdateOne)
	// route.Delete("/:id", m.Auth(u), ctrl.DeleteOne)

	route.Get("/", ctrl.GetAll)
	route.Post("/", ctrl.CreateOne)
	route.Get("/:id", ctrl.GetOne)
	route.Patch("/:id", ctrl.UpdateOne)
	route.Delete("/:id", ctrl.DeleteOne)
}
